﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.SilverlightMediaFramework.Data;
using Microsoft.SilverlightMediaFramework;
using System.Xml.Linq;
using System.Collections.Generic;

namespace SMFPlayerTest
{
    public class SMFPlayerTestDataClient :
        DataClient<SMFPlayerTestSuggestion[]>
    {
        public SMFPlayerTestDataClient(Uri Url) : base(Url) { }

        protected override void OnRequestCompleted(object sender,
            SimpleEventArgs<string> e)
        {
            XDocument doc = XDocument.Parse(e.Result);
            List<SMFPlayerTestSuggestion> suggestions = new List<SMFPlayerTestSuggestion>();
            foreach (XElement element in doc.Descendants("Suggestion"))
            {
                suggestions.Add(new SMFPlayerTestSuggestion
                {
                    DisplayName = element.Attribute("DisplayName").GetValue(),
                    Url = element.Attribute("Url").GetValueAsUri()
                });
            }

            base.OnFetchCompleted(suggestions.ToArray()); 
        }
    }
}
